[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TCustomPropertyStorage.DoEraseSections

Remove identifiers and values stored below in the specified root section.

## Declaration

Source position: propertystorage.pas line 142

`protected procedure TCustomPropertyStorage.DoEraseSections(`
`const ARootSection: string`
`); virtual; abstract;`

## Arguments

`ARootSection` |  | Name of the section with the identifiers and values removed in the method.

## Description

Must be overridden in a descendent class.